| helics 3.6.1

Public Member Functions | List of all members
helicscpp::CombinationFederate Class Reference

`#include <CombinationFederate.hpp>`

Inheritance diagram for helicscpp::CombinationFederate:

## Public Member Functions
| CombinationFederate (const std::string &name, FederateInfo &fedInfo)
| CombinationFederate (const std::string &configString)
Public Member Functions inherited from helicscpp::ValueFederate
| ValueFederate (const std::string &fedName, FederateInfo &fedInfo)
| ValueFederate (const std::string &configString)
| ValueFederate (const ValueFederate &vfed)
ValueFederate & | operator= (const ValueFederate &fedObj)
| ValueFederate () HELICS_NOTHROW
Publication | registerPublication (const std::string &name, const std::string &type, const std::string &units="")
Publication | registerPublication (const std::string &name, HelicsDataTypes type, const std::string &units="")
Publication | registerGlobalPublication (const std::string &name, const std::string &type, const std::string &units="")
Publication | registerGlobalPublication (const std::string &key, HelicsDataTypes type, const std::string &units="")
Publication | registerIndexedPublication (const std::string &key, int index1, HelicsDataTypes type, const std::string &units="")
Publication | registerIndexedPublication (const std::string &key, int index1, int index2, HelicsDataTypes type, const std::string &units=std::string())
Publication | registerPublicationIndexed (const std::string &key, int index1, HelicsDataTypes type, const std::string &units="")
Publication | registerPublicationIndexed (const std::string &key, int index1, int index2, HelicsDataTypes type, const std::string &units=std::string())
void | registerFromPublicationJSON (const std::string &json)
Publication | getPublication (const std::string &name)
Publication | getPublication (int index)
Input | registerSubscription (const std::string &name, const std::string &units=std::string())
Input | registerIndexedSubscription (const std::string &name, int index1, const std::string &units="")
Input | registerIndexedSubscription (const std::string &name, int index1, int index2, const std::string &units="")
Input | registerSubscriptionIndexed (const std::string &name, int index1, const std::string &units="")
Input | registerSubscriptionIndexed (const std::string &name, int index1, int index2, const std::string &units="")
Input | registerInput (const std::string &name, const std::string &type, const std::string &units="")
Input | registerInput (const std::string &name, HelicsDataTypes type, const std::string &units="")
Input | registerGlobalInput (const std::string &name, const std::string &type, const std::string &units="")
Input | registerGlobalInput (const std::string &key, HelicsDataTypes type, const std::string &units="")
Input | registerIndexedInput (const std::string &key, int index1, HelicsDataTypes type, const std::string &units="")
Input | registerIndexedInput (const std::string &key, int index1, int index2, HelicsDataTypes type, const std::string &units=std::string())
Input | getInput (const std::string &name)
Input | getInputByTarget (const std::string &target)
Input | getInput (int index)
int | getInputCount () const
int | getPublicationCount () const
std::vector< HelicsInput > | queryUpdates ()
void | clearUpdates ()
void | publishJSON (const std::string &json)
Public Member Functions inherited from helicscpp::Federate
| Federate () HELICS_NOTHROW
| Default constructor.
| Federate (const Federate &fedObj)
| Copy constructor.
Federate & | operator= (const Federate &fedObj)
| Copy assignment operator.
virtual | ~Federate ()
| operator HelicsFederate () const
HelicsFederate | baseObject () const
void | setFlagOption (int flag, bool flagValue=true)
void | setProperty (int tProperty, HelicsTime timeValue)
void | setProperty (int intProperty, int value)
bool | getFlagOption (int flag) const
HelicsTime | getTimeProperty (int tProperty) const
int | getIntegerProperty (int intProperty) const
void | setSeparator (char sep)
void | registerInterfaces (const std::string &configString)
HelicsFederateState | getCurrentMode () const
bool | isAsyncOperationCompleted () const
void | enterInitializingMode ()
void | enterInitializingModeAsync ()
void | enterInitializingModeComplete ()
void | enterInitializingModeIterative ()
void | enterInitializingModeIterativeAsync ()
void | enterInitializingModeIterativeComplete ()
HelicsIterationResult | enterExecutingMode (HelicsIterationRequest iterate=HELICS_ITERATION_REQUEST_NO_ITERATION)
void | enterExecutingModeAsync (HelicsIterationRequest iterate=HELICS_ITERATION_REQUEST_NO_ITERATION)
HelicsIterationResult | enterExecutingModeComplete ()
void | finalize ()
void | finalizeAsync ()
void | finalizeComplete ()
HelicsTime | getCurrentTime ()
HelicsTime | requestTime (HelicsTime time)
HelicsTime | requestNextStep ()
HelicsTime | requestTimeAdvance (HelicsTime timeDelta)
HelicsIterationTime | requestTimeIterative (HelicsTime time, HelicsIterationRequest iterate)
void | requestTimeAsync (HelicsTime time)
void | requestTimeIterativeAsync (HelicsTime time, HelicsIterationRequest iterate)
HelicsTime | requestTimeComplete ()
HelicsIterationTime | requestTimeIterativeComplete ()
void | processCommunication (HelicsTime period)
const char * | getName () const
void | protect ()
void | unProtect ()
std::string | query (const std::string &target, const std::string &queryStr, HelicsSequencingModes mode=HELICS_SEQUENCING_MODE_FAST) const
std::string | query (const std::string &queryStr, HelicsSequencingModes mode=HELICS_SEQUENCING_MODE_FAST) const
void | sendCommand (const std::string &target, const std::string &cmd)
const char * | getCommand ()
const char * | waitCommand ()
const char * | getCommandSource ()
void | setQueryCallback (void(*queryAnswer)(const char *query, int querySize, HelicsQueryBuffer, void *userdata), void *userdata)
void | setTimeRequestEntryCallback (void(*timeRequestEntry)(HelicsTime currentTime, HelicsTime requestTime, HelicsBool iterating, void *userdata), void *userdata)
void | setTimeUpdateCallback (void(*timeUpdate)(HelicsTime time, HelicsBool iterating, void *userdata), void *userdata)
void | setStateChangeCallback (void(*stateChange)(HelicsFederateState newState, HelicsFederateState oldState, void *userdata), void *userdata)
void | setTimeRequestReturnCallback (void(*timeRequestReturn)(HelicsTime newTime, HelicsBool iterating, void *userdata), void *userdata)
Filter | registerFilter (HelicsFilterTypes type, const std::string &filterName=std::string())
CloningFilter | registerCloningFilter (const std::string &deliveryEndpoint)
Filter | registerGlobalFilter (HelicsFilterTypes type, const std::string &filterName=std::string())
CloningFilter | registerGlobalCloningFilter (const std::string &deliveryEndpoint)
int | getFilterCount () const
Filter | getFilter (const std::string &filterName)
Filter | getFilter (int index)
void | setGlobal (const std::string &valueName, const std::string &value)
void | addAlias (const std::string &interfaceName, const std::string &alias)
void | setTag (const std::string &tag, const std::string &value)
const char * | getTag (const std::string &tag) const
void | addDependency (const std::string &fedName)
void | localError (int errorCode, const std::string &errorString)
void | globalError (int errorCode, const std::string &errorString)
void | logErrorMessage (const std::string &message)
void | logWarningMessage (const std::string &message)
void | logInfoMessage (const std::string &message)
void | logDebugMessage (const std::string &message)
void | logMessage (int level, const std::string &message)
HelicsCore | getCore ()
HelicsFederate | getObject () const
Public Member Functions inherited from helicscpp::MessageFederate
| MessageFederate (const std::string &fedName, FederateInfo &fedInfo)
| MessageFederate (const std::string &configString)
| MessageFederate () HELICS_NOTHROW
Endpoint | registerEndpoint (const std::string &name, const std::string &type=std::string())
Endpoint | registerGlobalEndpoint (const std::string &name, const std::string &type=std::string())
Endpoint | getEndpoint (const std::string &name)
Endpoint | getEndpoint (int index)
bool | hasMessage () const
int | pendingMessageCount () const
Message | getMessage ()
Message | createMessage ()
int | getEndpointCount () const

## Additional Inherited Members
Protected Attributes inherited from helicscpp::Federate
HelicsFederate | fed
| underlying HelicsFederate object
bool | exec_async_iterate
| indicator that the federate is in an async operation

## Detailed Description

combination federate object in the C++98 API

a combination federate merges a ValueFederate and a MessageFederate

## Constructor & Destructor Documentation

## ◆ CombinationFederate() [1/2]

helicscpp::CombinationFederate::CombinationFederate | ( | const std::string & | name,
|  | FederateInfo & | fedInfo
| ) |  |
| inline explicit

construct a combination federate

Parameters

  name | the name of the federate
  fedInfo | the federateInfo object to use for the construction information

References helicscpp::Federate::fed, helicscpp::FederateInfo::getInfo(), and helicsCreateCombinationFederate().

## ◆ CombinationFederate() [2/2]

helicscpp::CombinationFederate::CombinationFederate | ( | const std::string & | configString | ) |
| inline explicit

construct a combination Federate from a configuration string either a file or json/toml string

References helicscpp::Federate::fed, and helicsCreateCombinationFederateFromConfig().

The documentation for this class was generated from the following file:

- cpp98/CombinationFederate.hpp